#!/bin/sh

error_check() {
	if [ "$?" != "0" ]; then
		echo "The last build step failed! Stopping build."
		exit
	fi
}

cd libxml2-2.6.30
error_check
	./configure --host=avr32-linux --prefix=/usr/avr32-linux PKG_CONFIG_PATH=/usr/avr32-linux/lib/pkgconfig
error_check
	make CC=avr32-linux-gcc
error_check
	make install
error_check
cd ..
error_check

cd gettext-0.16.1
error_check
	./configure --host=avr32-linux --prefix=/usr/avr32-linux PKG_CONFIG_PATH=/usr/avr32-linux/lib/pkgconfig
error_check
	make CC=avr32-linux-gcc
error_check
	make install
error_check
cd ..
error_check

cd libiconv-1.11
error_check
	./configure --host=avr32-linux --prefix=/usr/avr32-linux PKG_CONFIG_PATH=/usr/avr32-linux/lib/pkgconfig
error_check
	make CC=avr32-linux-gcc
error_check
	make install
error_check
cd ..
error_check

cd tiff-3.7.4
error_check
	./configure --host=avr32-linux --prefix=/usr/avr32-linux PKG_CONFIG_PATH=/usr/avr32-linux/lib/pkgconfig
error_check
	make CC=avr32-linux-gcc
error_check
	make install
error_check
cd ..
error_check

cd glib-2.12.13
error_check
	./configure --host=avr32-linux --prefix=/usr/avr32-linux PKG_CONFIG_PATH=/usr/avr32-linux/lib/pkgconfig -C
error_check
	make CC=avr32-linux-gcc
error_check
	make install
error_check
cd ..
error_check

cd atk-1.9.1
error_check
	./configure --host=avr32-linux --prefix=/usr/avr32-linux PKG_CONFIG_PATH=/usr/avr32-linux/lib/pkgconfig
error_check
	make CC=avr32-linux-gcc
error_check
	make install
error_check
cd ..
error_check

cd cairo-1.2.6
error_check
	./configure --host=avr32-linux --prefix=/usr/avr32-linux PKG_CONFIG_PATH=/usr/avr32-linux/lib/pkgconfig
error_check
	make CC=avr32-linux-gcc
error_check
	make install
error_check
cd ..
error_check

cd pango-1.16.4
error_check
	./configure --host=avr32-linux --prefix=/usr/avr32-linux PKG_CONFIG_PATH=/usr/avr32-linux/lib/pkgconfig
error_check
	make CC=avr32-linux-gcc
error_check
	make install
error_check
cd ..
error_check

cd cups-1.3.3
error_check
	./configure --host=avr32-linux --prefix=/usr/avr32-linux PKG_CONFIG_PATH=/usr/avr32-linux/lib/pkgconfig \
		--disable-gnutls --disable-gssapi
error_check
	make CC=avr32-linux-gcc
error_check
	make install   
error_check
cd ..
error_check

cd gtk+-2.10.13
error_check
	./configure --host=avr32-linux --prefix=/usr/avr32-linux PKG_CONFIG_PATH=/usr/avr32-linux/lib/pkgconfig -C
error_check
	make CC=avr32-linux-gcc
error_check
	make install
error_check
cd ..
error_check

echo "GTK+ build complete."
