.\"
.\" "$Id: cups-lpd.man.in 6649 2007-07-11 21:46:42Z mike $"
.\"
.\"   cups-lpd man page for the Common UNIX Printing System (CUPS).
.\"
.\"   Copyright 2007 by Apple Inc.
.\"   Copyright 1997-2006 by Easy Software Products.
.\"
.\"   These coded instructions, statements, and computer programs are the
.\"   property of Apple Inc. and are protected by Federal copyright
.\"   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
.\"   which should have been included with this file.  If this file is
.\"   file is missing or damaged, see the license at "http://www.cups.org/".
.\"
.TH cups-lpd 8 "Common UNIX Printing System" "24 April 2006" "Apple Inc."
.SH NAME
cups-lpd \- receive print jobs and report printer status to lpd clients
.SH SYNOPSIS
.B cups-lpd
[ -n ] [ -o
.I option=value
]
.SH DESCRIPTION
\fIcups-lpd\fR is the CUPS Line Printer Daemon ("LPD")
mini-server that supports legacy client systems that use the LPD
protocol. \fIcups-lpd\fR does not act as a standalone network
daemon but instead operates using the Internet "super-server"
\fIinetd(8)\fR or \fIxinetd(8)\fR. If you are using \fIinetd\fR,
add the following line to the \fIinetd.conf\fR file to enable the
\fIcups-lpd\fR mini-server:
.br
.nf

    printer stream tcp nowait lp /usr/avr32-linux/lib/cups/daemon/cups-lpd cups-lpd \\
        -o document-format=application/octet-stream
.fi
.LP
.LP
\fBNote:\fR If you are using Solaris 10 or higher, you must run
the \fIinetdconv(1m)\fR program to register the changes to the
inetd.conf file.
.LP
If you are using the newer \fIxinetd(8)\fR daemon, create a file
named \fI/etc/xinetd.d/cups\fR containing the following lines:
.br
.nf

    service printer
    {
        socket_type = stream
        protocol = tcp
        wait = no
        user = lp
	group = sys
	passenv =
        server = /usr/avr32-linux/lib/cups/daemon/cups-lpd
	server_args = -o document-format=application/octet-stream
    }
.fi
.SH OPTIONS
.TP 5
-n
.br
Disables reverse address lookups; normally \fIcups-lpd\fR will
try to discover the hostname of the client via a reverse DNS
lookup.
.TP 5
-o name=value
.br
Inserts options for all print queues. Most often this is used to
disable the "l" filter so that remote print jobs are filtered as
needed for printing; the examples in the previous section set the
"document-format" option to "application/octet-stream" which
forces autodetection of the print file format.
.SH PERFORMANCE
\fIcups-lpd\fR performs well with small numbers of clients and
printers. However, since a new process is created for each
connection and since each process must query the printing system
before each job submission, it does not scale to larger
configurations. We highly recommend that large configurations
use the native IPP support provided by CUPS instead.
.SH SECURITY
\fIcups-lpd\fR currently does not perform any access control
based on the settings in \fIcupsd.conf(5)\fR or in the
\fIhosts.allow(5)\fR or \fIhosts.deny(5)\fR files used by TCP
wrappers. Therefore, running \fIcups-lpd\fR on your server will
allow any computer on your network (and perhaps the entire
Internet) to print to your server.
.LP
While \fIxinetd\fR has built-in access control support, you
should use the TCP wrappers package with \fIinetd\fR to limit
access to only those computers that should be able to print
through your server.
.LP
\fIcups-lpd\fR is not enabled by the standard CUPS distribution.
Please consult with your operating system vendor to determine
whether it is enabled on your system.
.SH COMPATIBILITY
\fIcups-lpd\fR does not enforce the restricted source port
number specified in RFC 1179, as using restricted ports does not
prevent users from submitting print jobs. While this behavior is
different than standard Berkeley LPD implementations, it should
not affect normal client operations.
.LP
The output of the status requests follows RFC 2569, Mapping
between LPD and IPP Protocols. Since many LPD implementations
stray from this definition, remote status reporting to LPD
clients may be unreliable.
.SH SEE ALSO
\fIcups(1)\fR, \fIcupsd(8)\fR, \fIinetconv(1m)\fR,
\fIinetd(8)\fR, \fIxinetd(8)\fR,
.br
http://localhost:631/help
.SH COPYRIGHT
Copyright 2007 by Apple Inc.
.\"
.\" End of "$Id: cups-lpd.man.in 6649 2007-07-11 21:46:42Z mike $".
.\"
